# Generated from apigeoloc-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name apigeoloc

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: Tool to request an api to match a network with a location
License: Apache-2.0
URL: https://github.com/vp-noc/apigeoloc.git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.3
# BuildRequires: rubygem(rspec) >= 3.5
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.41
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(webmock) >= 2.0.2
# BuildRequires: rubygem(webmock) < 2.1
# BuildRequires: rubygem(simplecov) >= 0.12
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
APIGeoloc is a simple tool to get location from a subnet.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/apigeoloc
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%license %{gem_instdir}/License
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/apigeoloc.gemspec
%{gem_instdir}/spec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.2-1
- Initial package
